#!/bin/bash
while :
do
refund=`tail -n 300 /root/server.log|grep Refund|awk '{print $6}'|sort|uniq`
for id in $refund
do
curl -i -H "Accept:application/json" -X POST -d "{\"user_id\":855,\"game_id\":177,\"refund_id\":\"${id}\"}" http://onlyellow.cstor.cn:18888/launch_refund
done
sleep 6
done

#########################
# Version 2
